Bug 245330 - Wrong init script
Summary: Wrong init script
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysklogd (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 245327
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-22 14:34 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 13:00:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-06-22 14:34:09 UTC
+++ This bug was initially created as a clone of Bug #245327 +++

Description of problem:
The syslog init script returns some incorrect error codes. Some part of it also
prevent the correct status command call. For example:
[ -f /sbin/syslogd ] || exit 0
[ -f /sbin/klogd ] || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

-- Additional comment from pm-rhel@redhat.com on 2007-06-22 10:33 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 1 Peter Vrabec 2007-06-25 13:00:22 UTC
fixed in sysklogd-1.4.2-10.fc8


Note You need to log in before you can comment on or make changes to this bug.